#region Copyright Syncfusion Inc. 2001 - 2014
// Copyright Syncfusion Inc. 2001 - 2014. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Syncfusion.UI.Xaml.Grid;
using Syncfusion.UI.Xaml.Grid.Cells;
using Syncfusion.UI.Xaml.Grid.Helpers;
using Syncfusion.UI.Xaml.ScrollAxis;
using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace EditingAndDataValidation
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        Dictionary<object, bool?> checkBoxValues = new Dictionary<object, bool?>();

        public MainWindow()
        {
            InitializeComponent();
            this.dataGrid.QueryUnboundColumnValue += DataGrid_QueryUnboundColumnValue;
        }

        private void DataGrid_QueryUnboundColumnValue(object sender, GridUnboundColumnEventsArgs e)
        {
            if (e.UnBoundAction == UnBoundActions.QueryData)
            {
                if (checkBoxValues.ContainsKey(e.Record))
                    e.Value = checkBoxValues[e.Record];
            }
        }

        private void CheckBox_Checked(object sender, RoutedEventArgs e)
        {
            var checkBox = sender as CheckBox;
            if (checkBox != null && this.dataGrid.CurrentItem != null)
            {
                if (!checkBoxValues.ContainsKey(this.dataGrid.CurrentItem))
                    checkBoxValues.Add(this.dataGrid.CurrentItem, checkBox.IsChecked);
                checkBoxValues[this.dataGrid.CurrentItem] = checkBox.IsChecked;
                this.dataGrid.UpdateUnboundColumn(this.dataGrid.CurrentItem, "Closed");
            }
        }
    }
}
